Skip to main content
Generate a crypto address
curl --request POST \
  --url https://app.cryptoprocessing.com/api/v2/addresses/take \
  --header 'Content-Type: application/json' \
  --header 'X-processing-key: <api-key>' \
  --header 'X-processing-signature: <api-key>' \
  --data '
{
  "currency": "BTC",
  "end_user_reference": "guest_user_17",
  "convert_to": "EUR",
  "foreign_id": "new_BTC_address_1714",
  "sender_type": "legal",
  "sender_data": {
    "legal_name": "Example GmbH",
    "country_of_registration": "DEU"
  }
}
'
{
  "data": {
    "id": 23553829,
    "currency": "BTC",
    "address": "2NFZ9SmEm3mQ7jqVF4vPXBwCyn9KpmEwkTj",
    "tag": null,
    "foreign_id": "new_BTC_address12",
    "end_user_reference": "guest_user_17"
  }
}
Create a crypto deposit address you can share with clients. Optionally, you can automatically convert all deposits you receive to a currency of your choice. If you are receiving or converting to XRP, you will get a tag in the response that you must display to the customer alongside their address. Any XRP deposits sent without a tag may be lost. For more details, see What is a destination tag?. If you want to automatically convert all deposits to a currency of your (or your customer’s) choice, specify its ISO code in the convert_to parameter. The end_user_reference parameter is used to group, track and analyse transactions made by a specific customer. To prevent transactions from getting delayed or cancelled, always make sure to include the correct ID. The ID must not contain any personal or identifying customer data.
Note: Cryptoprocessing is required to collect sender data in compliance with the MiCA regulations. For more details, see About user data collection. The sender_data and the end_user_reference you provide must be associated with the same customer.

Authorizations

X-processing-key
string
header
required

Your API key.

X-processing-signature
string
header
required

The request body, signed with HMAC-SHA512 with your secret key. You can find the secret key in your account.

Body

application/json
end_user_reference
string
required

Permanent ID of the customer in your system. Must not contain personal data, such as the user's name or email address. Include this customer's data in the sender_data object.

currency
string
required

The currency you want to receive. For a list of all available currencies, see Supported currencies.

foreign_id
string
required

The unique ID of the customer who will be depositing to this address. It will be returned with every callback to make it easy for you to identify the customer within your system. The same foreign_id can be reused across multiple addresses that belong to the same customer. This parameter must not include any personal data.

sender_type
enum<string>
required

Whether the sender is a natural person (natural) or a legal entity (legal).

Available options:
natural,
legal
sender_data
object
required

If the sender is a natural person, include their first_name, last_name, date_of_birth and email. If the sender is a legal entity, include the legal_name, country_of_registration and email.

convert_to
string

If you need to automatically convert all deposits to a certain currency, specify its ISO code here. For a list of all available currencies, see Supported currencies.

Response

OK

data
object